Debian Bug report logs - #703166
ITP: lua-unit -- Lua unit testing library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Víctor Seva <linuxmaniac@torreviejawireless.org>

Date: Sat, 16 Mar 2013 12:03:02 UTC

Owned by: "Víctor Seva" <linuxmaniac@torreviejawireless.org>

Severity: wishlist

Fixed in version lua-unit/1.5+gita58da93-2

Done: Enrico Tassi <gareuselesinge@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Víctor Seva" <linuxmaniac@torreviejawireless.org>:
Bug#703166; Package wnpp. (Sat, 16 Mar 2013 12:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Víctor Seva <linuxmaniac@torreviejawireless.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Víctor Seva" <linuxmaniac@torreviejawireless.org>. (Sat, 16 Mar 2013 12:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Víctor Seva <linuxmaniac@torreviejawireless.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: lua-unit -- Lua unit testing library
Date: Sat, 16 Mar 2013 12:59:50 +0100
Package: wnpp
Severity: wishlist
Owner: "Víctor Seva" <linuxmaniac@torreviejawireless.org>

* Package name    : lua-unit
  Version         : 1.5
  Upstream Author : Philippe Fremy <phil@freehackers.org>
* URL             : http://phil.freehackers.org/programs/luaunit/
* License         : BSD
  Programming Lang: Lua
  Description     : Lua unit testing library

Luaunit is a unit-testing framework for Lua, in the spirit of many
others unit-testing framework. Luaunit let's you write test functions,
test classes with test methods and setup/teardown functionality.

Luaunit can output test failures using the TAP format, for easier
integration into Continuous Integration platforms like Jenkins.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Víctor Seva" <linuxmaniac@torreviejawireless.org>:
Bug#703166; Package wnpp. (Sun, 17 Mar 2013 21:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Victor Seva <linuxmaniac@torreviejawireless.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Víctor Seva" <linuxmaniac@torreviejawireless.org>. (Sun, 17 Mar 2013 21:45:07 GMT) Full text and rfc822 format available.

Message #10 received at 703166@bugs.debian.org (full text, mbox):

From: Victor Seva <linuxmaniac@torreviejawireless.org>
To: 703166@bugs.debian.org
Subject: WIP
Date: Sun, 17 Mar 2013 22:40:09 +0100
Just for the record, work is been done on pkg-lua repository [0]

[0] http://git.debian.org/?p=pkg-lua/lua-unit.git



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 20:06:31 GMT) Full text and rfc822 format available.

Reply sent to Enrico Tassi <gareuselesinge@debian.org>:
You have taken responsibility. (Tue, 02 Jul 2013 15:03:13 GMT) Full text and rfc822 format available.

Notification sent to Víctor Seva <linuxmaniac@torreviejawireless.org>:
Bug acknowledged by developer. (Tue, 02 Jul 2013 15:03:13 GMT) Full text and rfc822 format available.

Message #17 received at 703166-close@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: 703166-close@bugs.debian.org
Subject: Bug#703166: fixed in lua-unit 1.5+gita58da93-2
Date: Tue, 02 Jul 2013 15:01:27 +0000
Source: lua-unit
Source-Version: 1.5+gita58da93-2

We believe that the bug you reported is fixed in the latest version of
lua-unit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703166@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Enrico Tassi <gareuselesinge@debian.org> (supplier of updated lua-unit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Jul 2013 11:26:16 +0200
Source: lua-unit
Binary: lua-unit
Architecture: source all
Version: 1.5+gita58da93-2
Distribution: unstable
Urgency: low
Maintainer: Victor Seva <linuxmaniac@torreviejawireless.org>
Changed-By: Enrico Tassi <gareuselesinge@debian.org>
Description: 
 lua-unit   - Lua unit testing framework
Closes: 703166
Changes: 
 lua-unit (1.5+gita58da93-2) unstable; urgency=low
 .
   * Just build lua-unit and put in it the two available examples
   * Fix typo in copyright
 .
 lua-unit (1.5+gita58da93-1) unstable; urgency=low
 .
   * Initial release. (Closes: #703166)
   * Used depends dh >= 16~. Let's be nice with backports
Checksums-Sha1: 
 37043ef0e4c2f5019371d8b72293df5569892677 1341 lua-unit_1.5+gita58da93-2.dsc
 3f51fcaf31ff04451639967a84d6df123551be70 11967 lua-unit_1.5+gita58da93.orig.tar.gz
 6e5fd3d952ddc9055215562dc7b70b04881c299c 2629 lua-unit_1.5+gita58da93-2.debian.tar.gz
 d045adef54ee5d39d42113d798b372bcde9a99fb 12988 lua-unit_1.5+gita58da93-2_all.deb
Checksums-Sha256: 
 18b65cd95d22c18b36225971e525c64bc962d7812a9c6232f3715308c0e67f65 1341 lua-unit_1.5+gita58da93-2.dsc
 c9070ec92e4c038323cac64a8b2f58d3833d369f04a0d1c63ce63b2e9624dd9b 11967 lua-unit_1.5+gita58da93.orig.tar.gz
 077944540812b3bdc784df98786b7e700efa414251cba15d070be05ff822d9ce 2629 lua-unit_1.5+gita58da93-2.debian.tar.gz
 6de078377a8341456b72aa65a227677e143a346b489803076b62d39bb61b795a 12988 lua-unit_1.5+gita58da93-2_all.deb
Files: 
 946307cc98d91b58e0e1b3917948bcaf 1341 interpreters optional lua-unit_1.5+gita58da93-2.dsc
 2acc18e2d8f97242edd344ebed9ed719 11967 interpreters optional lua-unit_1.5+gita58da93.orig.tar.gz
 54592f3b48dceafbcf155c83eebe8c3e 2629 interpreters optional lua-unit_1.5+gita58da93-2.debian.tar.gz
 42e310a216c1957000db7988b494b4f5 12988 interpreters optional lua-unit_1.5+gita58da93-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlHSwL0ACgkQ7kkcPgEj8vJ8RgCfYC6+LzVmhnJ5iSu/qjILRlje
ko8AnRctKoG0kjKAizRKYX3mDTeLdI2y
=McEb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Jul 2013 07:36:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:25:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.